Page MenuHomePhabricator

Deletion of limn-flow-data repository
Closed, ResolvedPublic

Description

Hi @EBernhardson

As announced, we've moved the queries in this repo to reportupdater-queries.

There are still a bunch of directories in this repo that don't appear to have changed in the las 3-4 years, and I wanted to know if these files are valuable to you or we can clean this repo up.

Thank you!

Details

Related Gerrit Patches:
analytics/limn-flow-data : masterArchive repository

Event Timeline

fdans created this task.Jul 25 2019, 10:38 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2019, 10:38 AM
fdans triaged this task as High priority.Jul 25 2019, 4:42 PM
fdans moved this task from Incoming to Operational Excellence on the Analytics board.

I haven't worked with flow in 3 or 4 years, my understanding is no one is interested in these metrics and the future of structured discussions is something different. I think these are safe to be cleaned up.

@EBernhardson thanks! Adding cleanup project tag since it's safe to proceed.

Nuria added subscribers: greg, Nuria.Aug 25 2019, 9:36 AM

ping @greg do we need anything besides "cleanup" tag here to make sure repo is deleted?

Nuria raised the priority of this task from High to Needs Triage.Aug 25 2019, 9:37 AM
Nuria moved this task from Operational Excellence to Radar on the Analytics board.
greg edited projects, added Repository-Admins; removed Cleanup.Oct 24 2019, 4:52 AM

ping @greg do we need anything besides "cleanup" tag here to make sure repo is deleted?

Cleanup is just for tasks and projects, per the description page.

You want Repository-Admins instead.

MarcoAurelio moved this task from Backlog to Cleanup / Archival on the Repository-Admins board.
MarcoAurelio added a subscriber: MarcoAurelio.

Repository deletion has been proven a bit problematic recently so I'll just archive the repo for now.

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptNov 20 2019, 6:37 PM
MarcoAurelio triaged this task as Medium priority.Wed, Dec 25, 9:49 PM

Change 561094 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[analytics/limn-flow-data@master] Archive repository

https://gerrit.wikimedia.org/r/561094

Change 561094 merged by MarcoAurelio:
[analytics/limn-flow-data@master] Archive repository

https://gerrit.wikimedia.org/r/561094

MarcoAurelio closed this task as Resolved.Sun, Dec 29, 8:16 PM
MarcoAurelio moved this task from working on to cabinet on the User-MarcoAurelio board.

Gerrit repository archived. Deletion of gerrit repositories is problematic for now, but it can be done at a later date.

Mentioned in SAL (#wikimedia-releng) [2019-12-29T20:19:10Z] <hauskatze> github: Mirror deleted: "wikimedia/analytics-limn-flow-data" (T228981)